# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/tpo,td.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Toppoly TD Panels

description: |
  The panel must obey the rules for a SPI slave device as specified in
  spi/spi-controller.yaml

maintainers:
  - Marek Belisko <marek@goldelico.com>
  - H. Nikolaus Schaller <hns@goldelico.com>

allOf:
  - $ref: panel-common.yaml#

properties:
  compatible:
    enum:
        # Toppoly TD028TTEC1 Panel
      - tpo,td028ttec1
        # Toppoly TD043MTEA1 Panel
      - tpo,td043mtea1

  reg: true
  label: true
  reset-gpios: true
  backlight: true
  port: true

required:
  - compatible
  - port

unevaluatedProperties: false

examples:
  - |
    spi {
        #address-cells = <1>;
        #size-cells = <0>;

        panel: panel@0 {
            compatible = "tpo,td043mtea1";
            reg = <0>;
            spi-max-frequency = <100000>;
            spi-cpol;
            spi-cpha;

            label = "lcd";

            reset-gpios = <&gpio7 7 0>;

            port {
                lcd_in: endpoint {
                    remote-endpoint = <&dpi_out>;
                };
            };
        };
    };

...
